Subject: Re: bug#48156: basic system test broken: qemu-system-x86_64: error while loading shared libraries: libXcursor.so.1: cannot open shared object file: No such file or directory

From: Christopher Baines <[email-masked]>
Date: Sat, 08 May 2021 21:15:23 +0100

Tobias Geerinckx-Rice <[email-masked]> writes:

> Chris,
>
> Christopher Baines 写道：
>> This comes from guix.cbaines.net, so it's probably not affecting
>> anyone
>> else.
>
> The spooky happenings below reminded of this thread.  Perhaps they're
> useful somehow.  Probably not.
>
> --8<---------------cut here---------------start------------->8---
> λ guix environment guix -- ./pre-inst-env guix build \
> 	--no-grafts mergerfs --target=aarch64-linux-gnu
> [...]
> downloading from
> https://guix.cbaines.net/nar/lzip/g3f3pkvli22b6q514cqwwsfk1ip8dwij-mergerfs-2.32.4
> ...
> [...]
> /gnu/store/g3f3pkvli22b6q514cqwwsfk1ip8dwij-mergerfs-2.32.4
> --8<---------------cut here---------------end--------------->8---
>
> --8<---------------cut here---------------start------------->8---
> λ tree /gnu/store/g3f3pkvli22b6q514cqwwsfk1ip8dwij-mergerfs-2.32.4/
> /gnu/store/g3f3pkvli22b6q514cqwwsfk1ip8dwij-mergerfs-2.32.4/
> └── share
>    └── doc
>        └── mergerfs-2.32.4
>            └── LICENSE
>
> 3 directories, 1 file
> --8<---------------cut here---------------end--------------->8---
>
> --8<---------------cut here---------------start------------->8---
> λ guix environment guix -- ./pre-inst-env guix build \
> 	--no-grafts mergerfs --target=aarch64-linux-gnu \
>        --check --keep-failed
> [...]
> guix build: error: derivation
> `/gnu/store/xkbxh0bwqppf6ga8fxx38hz3f1kq0av8-mergerfs-2.32.4.drv'
> may not be deterministic: output
> `/gnu/store/g3f3pkvli22b6q514cqwwsfk1ip8dwij-mergerfs-2.32.4'
> differs from
> ‘/gnu/store/g3f3pkvli22b6q514cqwwsfk1ip8dwij-mergerfs-2.32.4-check’
> --8<---------------cut here---------------end--------------->8---
>
> --8<---------------cut here---------------start------------->8---
> λ tree
> /gnu/store/g3f3pkvli22b6q514cqwwsfk1ip8dwij-mergerfs-2.32.4-check
> /gnu/store/g3f3pkvli22b6q514cqwwsfk1ip8dwij-mergerfs-2.32.4-check
> ├── bin
> │   ├── mergerfs
> │   └── mergerfs-fusermount
> ├── sbin
> │   └── mount.mergerfs
> └── share
>    ├── doc
>    │   └── mergerfs-2.32.4
>    │       └── LICENSE
>    └── man
>        └── man1
>            └── mergerfs.1.gz
>
> 7 directories, 5 files
> --8<---------------cut here---------------end--------------->8---

Hmm, I checked the build for this output as well, same machine, which is
good I guess. I've submitted another build to replace it.

Where did this come up? I wasn't aware anyone else was using
guix.cbaines.net for substitutes, especially for cross-build things.